/******************************************************************************
Program to display a string entered from a PS2 keyboard connected to AVR MCU.

Software:

	IDE: Atmel Studio 6
	Compiler: avr-gcc
	
	LCD Library : eXtreme LCD Lib (open source)
	Keyboard Library: eXtreme Keyboard Lib (non open source)

Hardware:
	Board: xBoard MINI
	
	Kbd Data: PC0
	Kbd Clock: INT0 (PD2)
	
Copyright (C) 2008 - 2012 eXtreme Electronics, India.

WARNING !!!

NO PART OF THIS WORK CAN BE USED IN ANY PRINTED OR ELECTRONIC MEDIA
WITHOUT A WRITTEN PERMISSION FOR THE ORIGINAL AUTHORS.

WE STRICTLY PROHIHIT THE USE OF THIS SOURCE CODE IN ANY COMMERCIAL
APPLICATION.
	
******************************************************************************/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "lib/kb/ps2.h"
#include "lib/lcd/lcd.h"


void Wait();

int main(void)
{
		//Initialize Keyboard library
		InitPS2();
		
		//Enable Interrupts
		sei();
		
		//Initially LCD library
		LCDInit(LS_NONE);
		
		//Write an Intro message on LCD
		LCDWriteString("KBD TEST :)");
		
		//Goto next line on LCD
		LCDGotoXY(0,1);
     
		while(1)
		{
			//Wait for a char from keyboard
			char ch= ReadFromKbdQ(1);	//Parameter 1 indicates wait till a key press is detected.
			
			LCDData(ch);
			
			Wait();
			
		}		
}

void Wait()
{
	uint8_t i;
	for(i=0;i<2;i++)
	{
		_delay_loop_2(0);	
	}		
}